Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 700196 - virtual/cblas-3.8, sci-libs/gsl-2.5-r1: please stabilize, then cleanup old
Summary: virtual/cblas-3.8, sci-libs/gsl-2.5-r1: please stabilize, then cleanup old
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Science Related Packages
URL: https://wiki.gentoo.org/wiki/Blas-lap...
Whiteboard:
Keywords: STABLEREQ
Depends on: 698756
Blocks: 638384 EAPI5Removal 700198 714384 730936 734440
  Show dependency tree
 
Reported: 2019-11-16 01:35 UTC by Benda Xu
Modified: 2021-08-13 06:50 UTC (History)
4 users (show)

See Also:
Package list:
virtual/cblas-3.8 sci-libs/gsl-2.5-r1
Runtime testing required: No
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Benda Xu gentoo-dev 2019-11-16 01:35:42 UTC
Please stabilize. Thank you!

Reproducible: Always
Comment 1 Benda Xu gentoo-dev 2019-11-16 01:43:39 UTC
Dear Arch Testers,

We are under a migration of lapack/blas base packages.  The stabilization started by chance with the virtual/lapack (bug 696256) to get rid of EAPI 0.  It turns out in bug 698756 that, many related packages needs to be stabilized in synchronization.

In bug 698756, virtual/cblas-3.8 and sci-libs/gsl-2.5-r1 have been forgotten.  It has been figured out by our users Red and friends.  Please also stabilize virtual/cblas-3.8 and sci-libs/gsl-2.5-r1.

Yours,
Benda
Comment 2 Stabilization helper bot gentoo-dev 2019-11-16 02:01:24 UTC
An automated check of this bug failed - repoman reported dependency errors (69 lines truncated): 

> dependency.bad virtual/cblas/cblas-3.8.ebuild: DEPEND: alpha(default/linux/alpha/17.0) ['>=sci-libs/lapack-3.8.0[eselect-ldso?]', '>=sci-libs/lapack-3.8.0[eselect-ldso]']
> dependency.bad virtual/cblas/cblas-3.8.ebuild: RDEPEND: alpha(default/linux/alpha/17.0) ['>=sci-libs/lapack-3.8.0[eselect-ldso?]', '>=sci-libs/lapack-3.8.0[eselect-ldso]']
> dependency.bad virtual/cblas/cblas-3.8.ebuild: DEPEND: alpha(default/linux/alpha/17.0/desktop) ['>=sci-libs/lapack-3.8.0[eselect-ldso?]', '>=sci-libs/lapack-3.8.0[eselect-ldso]']
Comment 3 Pacho Ramos gentoo-dev 2019-11-17 12:08:46 UTC
amd64 stable
Comment 4 Stabilization helper bot gentoo-dev 2019-11-17 13:01:08 UTC
An automated check of this bug failed - repoman reported dependency errors (69 lines truncated): 

> dependency.bad virtual/cblas/cblas-3.8.ebuild: DEPEND: alpha(default/linux/alpha/17.0) ['>=sci-libs/lapack-3.8.0[eselect-ldso?]', '>=sci-libs/lapack-3.8.0[eselect-ldso]']
> dependency.bad virtual/cblas/cblas-3.8.ebuild: RDEPEND: alpha(default/linux/alpha/17.0) ['>=sci-libs/lapack-3.8.0[eselect-ldso?]', '>=sci-libs/lapack-3.8.0[eselect-ldso]']
> dependency.bad virtual/cblas/cblas-3.8.ebuild: DEPEND: alpha(default/linux/alpha/17.0/desktop) ['>=sci-libs/lapack-3.8.0[eselect-ldso?]', '>=sci-libs/lapack-3.8.0[eselect-ldso]']
Comment 5 Agostino Sarubbo gentoo-dev 2019-12-15 14:12:10 UTC
ppc stable
Comment 6 Agostino Sarubbo gentoo-dev 2019-12-15 14:26:05 UTC
ia64 stable
Comment 7 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-12-24 14:31:36 UTC
arm stable
Comment 8 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-12-24 14:32:59 UTC
arm stable
Comment 9 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-12-24 20:04:22 UTC
alpha stable
Comment 10 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-12-27 19:35:19 UTC
arm64 stable
Comment 11 ernsteiswuerfel archtester 2020-01-19 14:53:41 UTC
linalg test fails on ppc64 (bug #687126).
Comment 12 Agostino Sarubbo gentoo-dev 2020-03-22 14:07:03 UTC
ppc64 stable
Comment 13 Agostino Sarubbo gentoo-dev 2020-03-22 14:07:58 UTC
x86 stable. Closing.
Comment 14 Benda Xu gentoo-dev 2020-03-22 23:37:45 UTC
Thank you guys!
Comment 15 Sam James archtester gentoo-dev Security 2020-06-02 19:04:07 UTC
@hppa ping
Comment 16 Agostino Sarubbo gentoo-dev 2020-06-10 12:43:18 UTC
This is an automatic message.

@maintainer(s):
I'm getting test-failure(s) (that were already reported) on sparc. If you want the package to pass my CI environment and got stabilized, please carry out the necessary operations to make sure that src_test() won't fail.
Thanks.
Comment 17 Matt Turner gentoo-dev 2020-12-31 16:50:04 UTC
hppa -> ~hppa for gsl

cblas stable